Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS1xNmNxLW05Z20tNnEyZs4AAwlX

Slixmpp lacks SSL Certificate hostname validation in XMLStream

Slixmpp before 1.8.3 lacks SSL Certificate hostname validation in XMLStream, allowing an attacker to pose as any server in the eyes of Slixmpp.

Permalink: https://github.com/advisories/GHSA-q6cq-m9gm-6q2f
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS1xNmNxLW05Z20tNnEyZs4AAwlX
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: over 1 year ago
Updated: 12 months ago


CVSS Score: 7.5
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Identifiers: GHSA-q6cq-m9gm-6q2f, CVE-2022-45197
References: Repository: https://github.com/poezio/slixmpp
Blast Radius: 21.6

Affected Packages

pypi:slixmpp
Dependent packages: 14
Dependent repositories: 770
Downloads: 21,223 last month
Affected Version Ranges: < 1.8.3
Fixed in: 1.8.3
All affected versions: 1.2.1, 1.2.2, 1.2.3, 1.2.4, 1.3.0, 1.4.0, 1.4.1, 1.4.2, 1.5.0, 1.5.1, 1.5.2, 1.6.0, 1.7.0, 1.7.1, 1.8.0, 1.8.1, 1.8.2
All unaffected versions: 1.8.3, 1.8.4, 1.8.5